Debian Bug report logs - #563786
fails to install due to incorrect dependencies in init.d LSB header

version graph

Package: bindgraph; Maintainer for bindgraph is Jose Luis Tallon <jltallon@adv-solutions.net>; Source for bindgraph is src:bindgraph.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Tue, 5 Jan 2010 11:06:05 UTC

Severity: serious

Tags: sid, squeeze

Found in version bindgraph/0.2a-4

Fixed in version bindgraph/0.2a-5

Done: Jose Luis Tallon <jltallon@adv-solutions.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Tue, 05 Jan 2010 11:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Tue, 05 Jan 2010 11:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: fails to install due to incorrect dependencies in init.d LSB header
Date: Tue, 5 Jan 2010 12:05:03 +0100
[Message part 1 (text/plain, inline)]
Package: bindgraph
Version: 0.2a-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o
User:     initscripts-ng-devel@lists.alioth.debian.org
Usertags: incorrect-dependency

Hi, 

during a test with piuparts I noticed your package failed to install due to 
incorrect dependencies in the init.d LSB header. Some debian notes are 
available from at http://wiki.debian.org/LSBInitScripts

From the attached log (scroll to the bottom...):

  Setting up bindgraph (0.2a-4) ...
  insserv: Service bind9 has to be enabled to start service bindgraph
  insserv: exiting now!
  update-rc.d: error: insserv rejected the script header
  dpkg: error processing bindgraph (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   bindgraph
  E: Sub-process /usr/bin/dpkg returned an error code (1)


regards,
	Holger
[bindgraph_0.2a-4.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze and sid. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 06 Jan 2010 10:57:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sat, 23 Jan 2010 16:06:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sat, 23 Jan 2010 16:06:38 GMT) Full text and rfc822 format available.

Message #12 received at 563786@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 563786@bugs.debian.org
Cc: Jose Luis Tallon <jltallon@adv-solutions.net>, Holger Levsen <holger@layer-acht.org>
Subject: Re: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sat, 23 Jan 2010 16:57:35 +0100
Hi,

I have looked at the issue, and it seems that the bind9 dependency is 
useless. We can start before bind9 (or with no bind9 at all on the host, 
and a remote bind9 with fetched logs, even if that sounds like a 
strange configuration) and nothing should prevent us from working 
correctly.

Jose, can you say anything about the dependency? Why was it added?
I'd drop it from the LSB header...
(The other solution would be to promote bind9 from recommends to 
depends, which sounds crude to me).

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sat, 23 Jan 2010 23:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sat, 23 Jan 2010 23:15:10 GMT) Full text and rfc822 format available.

Message #17 received at 563786@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Evgeni Golov <evgeni@debian.org>, 563786@bugs.debian.org
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 00:01:44 +0100
Evgeni Golov wrote:
> Hi,
>   
There is a fixed package awaiting sponsoring.
Sent to -mentors more than a week ago, with no responses so far.

It also includes some needed enhancements / updates.
> I have looked at the issue, and it seems that the bind9 dependency is 
> useless. We can start before bind9 (or with no bind9 at all on the host, 
> and a remote bind9 with fetched logs, even if that sounds like a 
> strange configuration) and nothing should prevent us from working 
> correctly.
>   
Indeed that would be a "less than minimally" common situation, but
supported.

> Jose, can you say anything about the dependency? Why was it added?
>   
In order to avoid starting without a bind9 working.
> I'd drop it from the LSB header...
>   
It has been downgraded, AFAICR
> (The other solution would be to promote bind9 from recommends to 
> depends, which sounds crude to me).
>   
bind9 is of course not really a dependency.



Regards,

    J.L.





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sun, 24 Jan 2010 00:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sun, 24 Jan 2010 00:03:10 GMT) Full text and rfc822 format available.

Message #22 received at 563786@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: José Luis Tallón <jltallon@adv-solutions.net>
Cc: 563786@bugs.debian.org
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 01:00:27 +0100
Hi Jose,

On Sun, Jan 24, 2010 at 12:01:44AM +0100, José Luis Tallón wrote:
> Evgeni Golov wrote:
> > Hi,
> >   
> There is a fixed package awaiting sponsoring.
> Sent to -mentors more than a week ago, with no responses so far.

Well, then it comes now:
First of all -- thanks :)
But, I think you got it slightly wrong with the format 3.0 (quilt) 
stuff. I for myself never touched this yet, but from reading, 3.0 
(quilt) should work as follows:
- you DON'T have to build-depend on quilt
- you DON'T have to include /usr/share/quilt/quilt.make
- it JUST works (tm) :)

On the other hand, I see two patches in your debian/patches, which were 
never applied and are not now either... It seems to be patched in your 
orig.tar.gz already.

I'd be glad to sponsor your package if you do a little bit more cleanup 
;)

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sun, 24 Jan 2010 13:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sun, 24 Jan 2010 13:45:15 GMT) Full text and rfc822 format available.

Message #27 received at 563786@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Evgeni Golov <evgeni@debian.org>, 563786@bugs.debian.org
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 14:42:59 +0100
Evgeni Golov wrote:
> Hi Jose,
>
> On Sun, Jan 24, 2010 at 12:01:44AM +0100, José Luis Tallón wrote:
>   
>> Evgeni Golov wrote:
>>     
>>> Hi,
>>>       
>> There is a fixed package awaiting sponsoring.
>> Sent to -mentors more than a week ago, with no responses so far.
>>     
>
> Well, then it comes now:
> First of all -- thanks :)
> But, I think you got it slightly wrong with the format 3.0 (quilt) 
> stuff. I for myself never touched this yet, but from reading, 3.0 
> (quilt) should work as follows:
> - you DON'T have to build-depend on quilt
> - you DON'T have to include /usr/share/quilt/quilt.make
> - it JUST works (tm) :)
>   
... unless you are backporting to lenny, where dpkg-source is not that
advanced.
In fact, since recent dpkg-source interact so cleanly with quilt, the
calls to quilt in debian/rules should effectively become no-ops.

That is: it is in fact NOT needed to add quilt-related calls to files in
the 3.0 format ...
... UNLESS you want to be kind to porters.
> On the other hand, I see two patches in your debian/patches, which were 
> never applied and are not now either... It seems to be patched in your 
> orig.tar.gz already.
>   
The problem being that upstream author, Marco D'Itri, does not agree
with bindgraph being packaged for Debian.
Some time ago, I had to repackage bindgraph source (that's where the 'a'
suffix comes from) to include the changes with respect to the original
---which is unmodified since AFAIK ---
The patches are there to document the deviations from "pure upstream".

... which might mean a need for a README.Source, I agree

Only options are, hence:
 - leave them as documentation of deviations from upstream ("less bad")
 - revert to upstream source 0.2 + patches  ---> absurdly big debdiff
for a trivial change, plus versioning paradox
 - publish a new "completely unofficial" 0.3 version, including all
changes and/or upstream + patches applied at build-time

but I might be missing some other option. Any suggestions are welcome,
of course
> I'd be glad to sponsor your package if you do a little bit more cleanup 
> ;)
>   
If you sponsored couriergraph too, I'd be more than glad, too ;)


    J.L.





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sun, 24 Jan 2010 19:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sun, 24 Jan 2010 19:48:05 GMT) Full text and rfc822 format available.

Message #32 received at 563786@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: José Luis Tallón <jltallon@adv-solutions.net>
Cc: 563786@bugs.debian.org
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 20:45:48 +0100
Hi,

On Sun, Jan 24, 2010 at 02:42:59PM +0100, José Luis Tallón wrote:
> > But, I think you got it slightly wrong with the format 3.0 (quilt) 
> > stuff. I for myself never touched this yet, but from reading, 3.0 
> > (quilt) should work as follows:
> > - you DON'T have to build-depend on quilt
> > - you DON'T have to include /usr/share/quilt/quilt.make
> > - it JUST works (tm) :)
> >   
> ... unless you are backporting to lenny, where dpkg-source is not that
> advanced.
> In fact, since recent dpkg-source interact so cleanly with quilt, the
> calls to quilt in debian/rules should effectively become no-ops.
> 
> That is: it is in fact NOT needed to add quilt-related calls to files in
> the 3.0 format ...
> ... UNLESS you want to be kind to porters.

Mh, I thought Lenny's dpkg does support format 3.0 (quilt)?
Do you have any documentation where it's said different?

> > On the other hand, I see two patches in your debian/patches, which were 
> > never applied and are not now either... It seems to be patched in your 
> > orig.tar.gz already.
> >   
> The problem being that upstream author, Marco D'Itri, does not agree
> with bindgraph being packaged for Debian.
> Some time ago, I had to repackage bindgraph source (that's where the 'a'
> suffix comes from) to include the changes with respect to the original
> ---which is unmodified since AFAIK ---
> The patches are there to document the deviations from "pure upstream".
> 
> ... which might mean a need for a README.Source, I agree
> 
> Only options are, hence:
>  - leave them as documentation of deviations from upstream ("less bad")
>  - revert to upstream source 0.2 + patches  ---> absurdly big debdiff
> for a trivial change, plus versioning paradox
>  - publish a new "completely unofficial" 0.3 version, including all
> changes and/or upstream + patches applied at build-time
> 
> but I might be missing some other option. Any suggestions are welcome,
> of course

Well, I think option 2 isn't that bad when using format 3.0 ;)
But on the other hand, you have it working like this now, and one should 
never change a running system.
Thats also why I don't understand why you convert to 3.0 now, you don't 
have any patches to apply besides debian/, and here you do not gain 
anything over the old version. Thus I'd stay with 1.0, fix the stuff you 
want to fix, and upload that one then. But it's your package, so you are 
free to decide to go to 3.0.

> If you sponsored couriergraph too, I'd be more than glad, too ;)

Not today, and most probably not tomorrow, but I can have a look on that 
if you don't find anyone in the meantime ;)

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sun, 24 Jan 2010 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sun, 24 Jan 2010 20:00:06 GMT) Full text and rfc822 format available.

Message #37 received at 563786@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Evgeni Golov <evgeni@debian.org>, 563786@bugs.debian.org
Cc: José Luis Tallón <jltallon@adv-solutions.net>
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 20:58:19 +0100
On Sun, Jan 24, 2010 at 20:45:48 +0100, Evgeni Golov wrote:

> Mh, I thought Lenny's dpkg does support format 3.0 (quilt)?

lenny's dpkg does (sort of, there were some bugs that should be fixed
with the next point release afaik), but dak won't accept 3.0 packages
for lenny, and the bpo archive doesn't accept 3.0 packages either.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sun, 24 Jan 2010 20:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sun, 24 Jan 2010 20:42:06 GMT) Full text and rfc822 format available.

Message #42 received at 563786@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Evgeni Golov <evgeni@debian.org>, 563786@bugs.debian.org
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 21:39:49 +0100
Julien Cristau wrote:
> On Sun, Jan 24, 2010 at 20:45:48 +0100, Evgeni Golov wrote:
>
>   
>> Mh, I thought Lenny's dpkg does support format 3.0 (quilt)?
>>     
>
> lenny's dpkg does (sort of, there were some bugs that should be fixed
> with the next point release afaik), but dak won't accept 3.0 packages
> for lenny, and the bpo archive doesn't accept 3.0 packages either.
>   
That was a misunderstanding on my part, then.
Thanks for pointing it out, Julien.

This might change my perception w.r.t. source format 3... however,
Squeeze is so close to release that this point will be moot very soon
now and the advantages of format 3 are many, indeed.


Cheers,

    J.L.





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Sun, 24 Jan 2010 21:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Sun, 24 Jan 2010 21:39:02 GMT) Full text and rfc822 format available.

Message #47 received at 563786@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Evgeni Golov <evgeni@debian.org>, 563786@bugs.debian.org
Subject: Re: Bug#563786: bindgraph fails to install due to incorrect dependencies in init.d LSB header
Date: Sun, 24 Jan 2010 22:36:23 +0100
Evgeni Golov wrote:
> Hi,
>
> [snip]
>   
>> The problem being that upstream author, Marco D'Itri, does not agree
>> with bindgraph being packaged for Debian.
>> Some time ago, I had to repackage bindgraph source (that's where the 'a'
>> suffix comes from) to include the changes with respect to the original
>> ---which is unmodified since AFAIK ---
>> The patches are there to document the deviations from "pure upstream".
>>
>> ... which might mean a need for a README.Source, I agree
>>
>> Only options are, hence:
>>  - leave them as documentation of deviations from upstream ("less bad")
>>  - revert to upstream source 0.2 + patches  ---> absurdly big debdiff
>> for a trivial change, plus versioning paradox
>>  - publish a new "completely unofficial" 0.3 version, including all
>> changes and/or upstream + patches applied at build-time
>>
>> but I might be missing some other option. Any suggestions are welcome,
>> of course
>>     
>
> Well, I think option 2 isn't that bad when using format 3.0 ;)
> But on the other hand, you have it working like this now, and one should 
> never change a running system.
>   
In general, unless I have a "regular" sponsor, I tend to minimize
debdiff changes to make it easier for a sponsor to review the changes.

I can of course prepare a version where we have the original 0.2 plus
all changes as patches, but that would be quite paradoxical w.r.t. naming.

However, "0.2+a" might be a sane name, and indeed would sort later than
"0.2a". I can prepare a version from that, and resubmit including the
diff against vanilla 0.2.
(in this case, source format 3 more than justifies itself :-D )
> Thats also why I don't understand why you convert to 3.0 now, you don't 
> have any patches to apply besides debian/, and here you do not gain 
> anything over the old version. Thus I'd stay with 1.0, fix the stuff you 
> want to fix, and upload that one then. But it's your package, so you are 
> free to decide to go to 3.0.
>   
It was a huge gain for couriergraph, and I figured it would be best for
bindgraph.
In any case, I'm trying to convert all packages where it doesn't give
problems to the new format: it is indeed the best way to document
deviations from upstream, plus the added bonus of not having to
repackage upstream bzipped tarballs.
>> If you sponsored couriergraph too, I'd be more than glad, too ;)
>>     
>
> Not today, and most probably not tomorrow, but I can have a look on that 
> if you don't find anyone in the meantime ;)
>   
Thanks in advance.





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Thu, 18 Mar 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Thu, 18 Mar 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #52 received at 563786@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>
To: 563786@bugs.debian.org
Subject: Re: fails to install due to incorrect dependencies in init.d LSB header
Date: Thu, 18 Mar 2010 20:08:31 +0100
Hi.  Any progress with this upload/sponsoring?  Would be nice to have
this issue fixed in testing soon. :)

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Fri, 19 Mar 2010 02:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Fri, 19 Mar 2010 02:12:02 GMT) Full text and rfc822 format available.

Message #57 received at 563786@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>, 563786@bugs.debian.org
Subject: Re: Bug#563786: fails to install due to incorrect dependencies in init.d LSB header
Date: Fri, 19 Mar 2010 03:05:13 +0100
Petter Reinholdtsen wrote:
> Hi.  Any progress with this upload/sponsoring?  Would be nice to have
> this issue fixed in testing soon. :)
>   
Indeed. The upload is ready, but found no sponsors yet.


Any upload-capable one reading this is welcome to sponsor.


    J.L.






Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#563786; Package bindgraph. (Fri, 19 Mar 2010 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Fri, 19 Mar 2010 07:54:03 GMT) Full text and rfc822 format available.

Message #62 received at 563786@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 563786@bugs.debian.org
Subject: Re: Bug#563786: fails to install due to incorrect dependencies in init.d LSB header
Date: Fri, 19 Mar 2010 08:51:47 +0100
[José Luis Tallón]
> Indeed. The upload is ready, but found no sponsors yet.

Right.  Did not find bindgraph on <URL:http://mentors.debian.net/>.

> Any upload-capable one reading this is welcome to sponsor.

My sponsoring preferences are available from
<URL: http://www.hungry.com/~pere/debian-sponsoring.html >, if you want
me to sponsor it.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Jose Luis Tallon <jltallon@adv-solutions.net>:
You have taken responsibility. (Thu, 15 Apr 2010 15:51:03 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Thu, 15 Apr 2010 15:51:03 GMT) Full text and rfc822 format available.

Message #67 received at 563786-close@bugs.debian.org (full text, mbox):

From: Jose Luis Tallon <jltallon@adv-solutions.net>
To: 563786-close@bugs.debian.org
Subject: Bug#563786: fixed in bindgraph 0.2a-5
Date: Thu, 15 Apr 2010 15:47:43 +0000
Source: bindgraph
Source-Version: 0.2a-5

We believe that the bug you reported is fixed in the latest version of
bindgraph, which is due to be installed in the Debian FTP archive:

bindgraph_0.2a-5.debian.tar.gz
  to main/b/bindgraph/bindgraph_0.2a-5.debian.tar.gz
bindgraph_0.2a-5.dsc
  to main/b/bindgraph/bindgraph_0.2a-5.dsc
bindgraph_0.2a-5_all.deb
  to main/b/bindgraph/bindgraph_0.2a-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Luis Tallon <jltallon@adv-solutions.net> (supplier of updated bindgraph package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Mar 2010 21:17:38 +0100
Source: bindgraph
Binary: bindgraph
Architecture: source all
Version: 0.2a-5
Distribution: unstable
Urgency: low
Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Changed-By: Jose Luis Tallon <jltallon@adv-solutions.net>
Description: 
 bindgraph  - DNS statistics RRDtool frontend for BIND9
Closes: 563786
Changes: 
 bindgraph (0.2a-5) unstable; urgency=low
 .
   * Packaging
     - Updated to S-V 3.8.3 with no changes
     - Upgraded to debhelper compatibility level 5
     - Converted to using source format "3.0 (quilt)"
 .
   * Fixed initscript to declare correct LSB dependencies (Closes: #563786)
 .
   * Upload sponsored by Petter Reinholdtsen.
Checksums-Sha1: 
 9dc2e1f008035670f8c8785a2bda2bfd2bc4ff2c 1023 bindgraph_0.2a-5.dsc
 5720da9fef225dac3545e84f84b9c433885586db 22754 bindgraph_0.2a-5.debian.tar.gz
 743acbec989d0be99152673d7a077730ba799c6a 24270 bindgraph_0.2a-5_all.deb
Checksums-Sha256: 
 e16889decb1731f7a7edfa28e4acbc1aa41ad8e9666465969a5c5611e500aec7 1023 bindgraph_0.2a-5.dsc
 93982e80a3ec300cb53b4c143b9cacd9e5bd8f1b12a6aca7599e2e252dba2c1a 22754 bindgraph_0.2a-5.debian.tar.gz
 fadaf842941ddd90f5d84d76efc0f36c5a84f738ee27b98723a480469ddf3b19 24270 bindgraph_0.2a-5_all.deb
Files: 
 aa9c69e5c57d05d2272002fdc90c9f22 1023 admin extra bindgraph_0.2a-5.dsc
 08c4d0b2bb63e755a96891a34d7a7015 22754 admin extra bindgraph_0.2a-5.debian.tar.gz
 cb7b065c98a40111d1951b55147df815 24270 admin extra bindgraph_0.2a-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLxyFO20zMSyow1ykRAo1rAJ0eNcb44QR/3W6t7pvbMrQPYPu10gCfR2zR
nVSODk+dg1WqMY6Gssbu168=
=N0Qo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:10:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:15:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.